Package net.sf.saxon.trans

## Class SymbolicName.F

- java.lang.Object
- - net.sf.saxon.trans.SymbolicName
  - - net.sf.saxon.trans.SymbolicName.F

- Enclosing class:
    SymbolicName

      public static class SymbolicName.F
      extends SymbolicName

  Subclass of SymbolicName used for function names (including the arity)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.SymbolicName

      `SymbolicName.F`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `F​(StructuredQName name, int arity)` | Create a symbolic name for a function.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` | Indicates whether some other object is "equal to" this one.
    `int` | `getArity()` | Get the arity, in the case of function components
    `java.lang.String` | `getShortName()` | Get a short name suitable for use in messages
    `int` | `hashCode()` | Returns a hash code value for the object.
    `java.lang.String` | `toString()` | Get the name as a string.

    - ### Methods inherited from class net.sf.saxon.trans.SymbolicName

      `getComponentKind, getComponentName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### F

          public F​(StructuredQName name,
                   int arity)

      Create a symbolic name for a function.
      Parameters:
        `name` - the QName that is the "name" of the component
        `arity` - the number of arguments

  - ### Method Detail

    - #### getArity

          public int getArity()

      Get the arity, in the case of function components
      Returns:
        in the case of a function, the arity, otherwise -1.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `SymbolicName`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Indicates whether some other object is "equal to" this one.
      Overrides:
        `equals` in class `SymbolicName`

    - #### toString

          public java.lang.String toString()

      Get the name as a string.
      Overrides:
        `toString` in class `SymbolicName`
      Returns:
        a string typically in the form "template p:my-template" or "function f:my-function#2"

    - #### getShortName

          public java.lang.String getShortName()

      Get a short name suitable for use in messages
      Overrides:
        `getShortName` in class `SymbolicName`